Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pull
Class UnparsedEntity

    java.lang.Object
      net.sf.saxon.pull.UnparsedEntity

    public class UnparsedEntity

extends java.lang.Object

This class is used to represent unparsed entities in the PullProvider interface

Constructor Summary
`UnparsedEntity()`

Method Summary
`java.lang.String` | `getBaseURI()` Get the base URI of the unparsed entity
`java.lang.String` | `getName()` Get the name of the unparsed entity
`java.lang.String` | `getPublicId()` Get the public identifier of the unparsed entity
`java.lang.String` | `getSystemId()` Get the system identifier of the unparsed entity
`void` | `setBaseURI(java.lang.String baseURI)` Set the base URI of the unparsed entity
`void` | `setName(java.lang.String name)` Set the name of the unparsed entity
`void` | `setPublicId(java.lang.String publicId)` Set the public identifier of the unparsed entity
`void` | `setSystemId(java.lang.String systemId)` Set the system identifier of the unparsed entity

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnparsedEntity

    public UnparsedEntity()

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the unparsed entity

  Returns:
    the name of the unparsed entity

### setName

    public void setName(java.lang.String name)

  Set the name of the unparsed entity

  Parameters:
    `name` - the name of the unparsed entity

### getSystemId

    public java.lang.String getSystemId()

  Get the system identifier of the unparsed entity

  Returns:
    the system identifier of the unparsed entity

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Set the system identifier of the unparsed entity

  Parameters:
    `systemId` - the system identifier of the unparsed entity

### getPublicId

    public java.lang.String getPublicId()

  Get the public identifier of the unparsed entity

  Returns:
    the public identifier of the unparsed entity

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Set the public identifier of the unparsed entity

  Parameters:
    `publicId` - the public identifier of the unparsed entity

### getBaseURI

    public java.lang.String getBaseURI()

  Get the base URI of the unparsed entity

  Returns:
    the base URI of the unparsed entity

### setBaseURI

    public void setBaseURI(java.lang.String baseURI)

  Set the base URI of the unparsed entity

  Parameters:
    `baseURI` - the base URI of the unparsed entity

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.